Interface CometdEndpointBuilderFactory.CometdBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- CometdEndpointBuilderFactory
public static interface CometdEndpointBuilderFactory.CometdBuilders
-
Method Summary
Modifier and TypeMethodDescriptioncometd()CometD (camel-cometd) Offers publish/subscribe, peer-to-peer (via a server), and RPC style messaging using the CometD/Bayeux protocol.CometD (camel-cometd) Offers publish/subscribe, peer-to-peer (via a server), and RPC style messaging using the CometD/Bayeux protocol.CometD (camel-cometd) Offers publish/subscribe, peer-to-peer (via a server), and RPC style messaging using the CometD/Bayeux protocol.CometD (Secure) (camel-cometd) Offers publish/subscribe, peer-to-peer (via a server), and RPC style messaging using the CometD/Bayeux protocol.
-
Method Details
-
cometd
CometD (camel-cometd) Offers publish/subscribe, peer-to-peer (via a server), and RPC style messaging using the CometD/Bayeux protocol. Category: networking,messaging Since: 2.0 Maven coordinates: org.apache.camel:camel-cometd- Returns:
- the dsl builder for the headers' name.
-
cometd
CometD (camel-cometd) Offers publish/subscribe, peer-to-peer (via a server), and RPC style messaging using the CometD/Bayeux protocol. Category: networking,messaging Since: 2.0 Maven coordinates: org.apache.camel:camel-cometd Syntax:cometd:host:port/channelNamePath parameter: host (required) Hostname Path parameter: port (required) Host port number Path parameter: channelName (required) The channelName represents a topic that can be subscribed to by the Camel endpoints.- Parameters:
path- host:port/channelName- Returns:
- the dsl builder
-
cometd
default CometdEndpointBuilderFactory.CometdEndpointBuilder cometd(String componentName, String path) CometD (camel-cometd) Offers publish/subscribe, peer-to-peer (via a server), and RPC style messaging using the CometD/Bayeux protocol. Category: networking,messaging Since: 2.0 Maven coordinates: org.apache.camel:camel-cometd Syntax:cometd:host:port/channelNamePath parameter: host (required) Hostname Path parameter: port (required) Host port number Path parameter: channelName (required) The channelName represents a topic that can be subscribed to by the Camel endpoints.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- host:port/channelName- Returns:
- the dsl builder
-
cometds
CometD (Secure) (camel-cometd) Offers publish/subscribe, peer-to-peer (via a server), and RPC style messaging using the CometD/Bayeux protocol. Category: networking,messaging Since: 2.0 Maven coordinates: org.apache.camel:camel-cometd Syntax:cometds:host:port/channelNamePath parameter: host (required) Hostname Path parameter: port (required) Host port number Path parameter: channelName (required) The channelName represents a topic that can be subscribed to by the Camel endpoints.- Parameters:
path- host:port/channelName- Returns:
- the dsl builder
-